- name: Get velero podname
  include_tasks: velero-podname.yml

- name: Schedule name
  set_fact: 
    schedule_name: "{{ site_name }}-{{ config.system.cluster_name }}-{{ backup_namespace }}-every4h"

- name: Get schedule
  k8s_info:
    api_version: "velero.io/v1"
    namespace: "{{ config.velero.namespace }}"
    name: "{{ schedule_name }}"
    kind: Schedule 
  register: schedule

- name: Create schedule
  shell: >
    kubectl exec -n {{ config.velero.namespace }} {{ velero_podname }} -- 
    ./velero create schedule {{ schedule_name }}
    --include-namespaces {{ backup_namespace }} 
    --storage-location {{ storagelocation }}
    --schedule="@every 4h" 
    --ttl 168h0m0s
  when: schedule.resources | length == 0 